# $Revision: 1.31 $, $Date: 2002/07/03 20:20:48 $
Summary:	GtkGLArea OpenGL widget for GTK+
Summary(pl):	GtkGLArea - kontrolka Gtk+ do prezentacji obiektw OpenGL
Summary(pt_BR):	Um widget OpenGL para a biblioteca GUI GTK+
Summary(ru):	GtkGLArea -  OpenGL   GTK+
Summary(uk):	GtkGLArea -  OpenGL צ  GTK+
Summary(wa):	GtkGLArea est on ahesse pol toolkit grafike GTK+
Name:		gtkglarea
Version:	1.2.3
Release:	7
License:	LGPL
Group:		X11/Libraries
Source0:	http://www.student.oulu.fi/~jlof/gtkglarea/download/%{name}-%{version}.tar.gz
Patch0:		%{name}-m4_fix.patch
Requires:	OpenGL
BuildRequires:	OpenGL-devel
BuildRequires:	gtk+-devel => 1.2.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	libgtkglarea5

%define 	_noautoreqdep	libGL.so.1 libGLU.so.1
%define		_prefix		/usr/X11R6
%define		_datadir	/usr/share

%description
Just as GTK+ is build on top of GDK, GtkGLArea is built on top of
gdkgl which is basically wrapper around GLX functions. The widget
itself is derived from GtkDrawinigArea widget and adds only few extra
functions.

%description -l pl
Podobnie jak GTK+ jest zbudowane na GDK, tak i GtkGLArea powstao na
bazie gdkgl, ktry jest wrapperem funkcji GLX. Sam widget pochodzi od
GtkDrawingArea i posiada jedynie kilka dodatkowych funkcji.

%description -l pt_BR
GtkGLArea  um OpenGL widget para GTK+ (the Gimp ToolKit), uma
biblioteca GUI. GtkGLArea  construda em cima do gdkgl. Gdkgl 
basicamente um wrapper de funes GLX. GtkGLArea widget  derivado do
widget GtkDrawingArea e adiciona somente algumas funes.

%description -l ru
   GTK+   GDK, GtkGLArea   gdkgl,
       GLX.   
   GtkDrawinigArea      .

%description -l uk
 ,  GTK+ դ  GDK, GtkGLArea  
gdkgl,   Ԧ    æ GLX.  צ 
  צ GtkDrawinigArea     צ æ.

%package devel
Summary:	GtkGLArea OpenGL widget for GTK+ - development libs and headers
Summary(pl):	Pliki nagwkowe GtkGLArea
Summary(pt_BR):	Bibliotecas e arquivos de incluso para desenvolvimento de aplicaes que usem a biblioteca GtkGLArea
Summary(ru):	GtkGLArea -    
Summary(uk):	GtkGLArea -    
Summary(wa):	GtkGLArea est on ahesse po GTK+ - fitchs *.h t statiks lvreyes
Group:		X11/Libraries
Requires:	%{name} = %{version}
Requires:	OpenGL-devel
Requires:	gtk+-devel => 1.2.0
Obsoletes:	libgtkglarea5-devel

%description devel
Header files for development using the GtkGLArea widget.

%description devel -l pl
Pliki nagwkowe do budowania programw uywajcych widgetu GtkGLArea.

%description devel -l pt_BR
Bibliotecas e arquivos de incluso para desenvolvimento de aplicaes
que usem a biblioteca GtkGLArea.

%description devel -l ru
      GtkGLArea.

%description devel -l uk
      GtkGLArea.

%description devel -l wa
Ci paket chal a dvins les fitchs *.h eyt les statiks lvreyes k' i
gn a mezjhe po f des porogrames avou les foncsions di GtkGLArea.

%package static
Summary:	GtkGLArea static libraries
Summary(pl):	Statyczne biblioteki GtkGLArea
Summary(pt_BR):	Bibliotecas estticas para desenvolvimento de aplicaes que usem a biblioteca GtkGLArea
Group:		X11/Libraries
Requires:	%{name}-devel = %{version}

%description static
GtkGLArea (OpenGL for GTK+) static libraries.

%description static -l pl
Statyczne biblioteki GtkGLArea (OpenGL dla GTK+).

%description static -l pt_BR
Bibliotecas estticas para desenvolvimento de aplicaes que usem a
biblioteca GtkGLArea.

%prep
%setup -q
%patch0

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	m4datadir=%{_aclocaldir}

gzip -9nf AUTHORS ChangeLog NEWS README docs/HOWTO.txt docs/gdkgl.txt \
	docs/gtkglarea.txt

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/lib*.so.*.*

%files devel
%defattr(644,root,root,755)
%doc *gz docs/*.gz
%{_includedir}/gtkgl
%attr(755,root,root) %{_libdir}/lib*.so
%attr(755,root,root) %{_libdir}/lib*.la
%{_aclocaldir}/*

%files static
%defattr(644,root,root,755)
%{_libdir}/lib*.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: gtkglarea.spec,v $
Revision 1.31  2002/07/03 20:20:48  mmazur
- a typo in the m4 file
- STBR and upgrade the devel package on builders

Revision 1.30  2002/05/07 14:26:06  qboosh
- fixed typo in pl summary, added missing -devel pl summary; release 6

Revision 1.29  2002/05/01 21:30:42  kloczek
- release 5.

Revision 1.28  2002/05/01 16:20:41  kloczek
- merge translations from KSI.

Revision 1.27  2002/05/01 13:36:37  kloczek
- release 4,
- added pl Summary and merge translations from Conectiva.

Revision 1.26  2002/04/25 16:31:13  arturs
fixed a small typo

Revision 1.25  2002/03/25 09:10:10  mis
- fixed file list; rel 4

Revision 1.24  2002/02/22 23:29:01  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.23  2002/01/20 00:09:53  kloczek
- relase 3: libgtkglarea5{,-devel} added to Obsoletes for allow upgrade from MDK.

Revision 1.22  2002/01/18 02:13:13  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.21  2001/10/20 14:22:03  kloczek
- release 2.

Revision 1.20  2001/10/17 20:40:55  qboosh
- removed rebuilding auto* - not necessary now
- fixed descriptions, added the rest of pl ones

Revision 1.19  2001/10/17 07:53:39  kloczek
- updated to 1.2.3.

Revision 1.18  2001/08/13 17:37:23  kloczek
- added automake to BuildRequires and regenerate am files.

Revision 1.17  2001/08/12 11:07:33  blues
- Release 8
- ac 2.5 ready (added buildrequires)
- adapterized

Revision 1.16  2001/05/29 00:00:28  kloczek
- release 7: do not strip binaries in %install.

Revision 1.15  2001/04/07 10:35:02  jajcus
- _noautoreqdep   libGL.so.1 libGLU.so.1

Revision 1.14  2000/06/09 16:57:12  kloczek
- release 2,
- recompiled against XFree86 4.0 OpenGL libraries,
- spec adapterized.

Revision 1.13  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.12  2000/06/09 07:22:57  kloczek
- added using %%{__make} macro.

Revision 1.11  2000/04/20 06:36:22  cieciwa
- fixed Requires: OpenGL-devel.

Revision 1.10  2000/04/19 11:33:19  cieciwa
- changes BuildRequires: from Mesa-devel to OpenGL-devel.

Revision 1.9  2000/04/04 07:30:15  arturs
- added %description -l pl

Revision 1.8  2000/04/01 11:14:42  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.7  2000/03/28 16:54:26  baggins
- translated kloczkish into english

Revision 1.6  2000/02/28 07:41:05  kloczek
- updated to 1.2.2.

Revision 1.5  2000/01/16 23:43:59  kloczek
- release 2,
- adapter(ized).

Revision 1.4  1999/12/09 05:12:42  kloczek
- wa translations from MDK.

Revision 1.3  1999/07/20 12:48:07  wiget
- switch to rpm 3.0.2

Revision 1.2  1999/07/13 21:58:36  kloczek
- rewrited for PLD.
